#pragma once

#include <map>
#include <nlohmann/json.hpp>
#include <vector>

struct SQLParserRes {
    int exit_code;
    nlohmann::json out;
    std::string err;
};

SQLParserRes parse_sql(const std::string& sql);

class ExistTables {
   public:
    std::string table_file_name;
    std::map<std::string, std::vector<std::string>> tables;

    ExistTables(const char* file_name = "./tables.json");
    ExistTables* read_from_file();
    bool exists(const std::string& table_name);
    void set(const std::string& table_name,
             const std::vector<std::string>& cols);
    void remove(const std::string& table_name);
    void save();
};
